<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@A3EFE=63</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A2391=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A23A2=19</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <parameter>
      <item value="0x02">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A2374=param|(maincpu.pb@A2374 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Normal PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@A2334=00|(maincpu.pb@A2334 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Special PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@A2334=00|(maincpu.pb@A2334 BAND ~80)</action>
      <action>maincpu.pb@A2398=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A23E5=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A23F6=19</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <parameter>
      <item value="0x02">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A23C8=param|(maincpu.pb@A23C8 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Normal PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@A2335=00|(maincpu.pb@A2335 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Special PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@A2335=00|(maincpu.pb@A2335 BAND ~80)</action>
      <action>maincpu.pb@A23EC=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
